(function() {

    tinymce.PluginManager.add('wpscs_shortcodes', function( editor, url ) {

        var wpscs_menu = [];
        if ( typeof wpscs_shortcodes !== 'undefined' && wpscs_shortcodes.length > 0 ) {
            wpscs_shortcodes.forEach(function(item){
                wpscs_menu.push({
                    text: item.id + ' - ' + item.title,
                    onclick: function() {
                        editor.insertContent( '[wpscs id="'+item.id+'"]' );
                    }
                });
            });
        }

        editor.addButton( 'wpscs_shortcodes', {
            title : 'Code Studio Shortcodes',
            icon: 'icon wpscs_shortcodes-icon',
            onclick: function() {
            },
            type: 'menubutton',
            menu: wpscs_menu,
        });
    });
})();
